Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# TAO::TypeCode::Base_Attributes< STRING_TYPE > Class Template Reference

Attributes contained by most `TypeCodes` with complex parameter lists. More...

`#include <TypeCode_Base_Attributes.h>`

Collaboration diagram for TAO::TypeCode::Base_Attributes< STRING_TYPE >:

[legend]
List of all members.

## Public Member Functions
| Base_Attributes (char const *id, char const *name)
| Constructor.
| Base_Attributes (char const *id)
| Constructor used by recursive `TypeCodes`.
char const * | id (void) const
| Get the `RepositoryId` globally identifying the type.
char const * | name (void) const
void | name (char const *the_name)
## Private Attributes
STRING_TYPE const | id_
| The `RepositoryId` globally identifying the type.
STRING_TYPE | name_

## Detailed Description

### template<typename STRING_TYPE>
class TAO::TypeCode::Base_Attributes< STRING_TYPE >

Attributes contained by most `TypeCodes` with complex parameter lists.

Most `TypeCodes` with complex parameter lists (see Section 15.3.5.1 "TypeCode" in the CORBA specification) contain these attributes, namely a repository ID and a name.

## Constructor & Destructor Documentation

template<typename STRING_TYPE>
ACE_INLINE TAO::TypeCode::Base_Attributes< STRING_TYPE >::Base_Attributes | ( | char const * | id,
|  | char const * | name
| ) |

| Constructor.

template<typename STRING_TYPE>
ACE_INLINE TAO::TypeCode::Base_Attributes< STRING_TYPE >::Base_Attributes | ( | char const * | id | ) |

| Constructor used by recursive `TypeCodes`.

## Member Function Documentation

template<typename STRING_TYPE>
ACE_INLINE char const * TAO::TypeCode::Base_Attributes< STRING_TYPE >::id | ( | void |  | ) | const

| Get the `RepositoryId` globally identifying the type.

template<typename STRING_TYPE>
ACE_INLINE void TAO::TypeCode::Base_Attributes< STRING_TYPE >::name | ( | char const * | the_name | ) |

| Note: This method only used when creating a recursive TypeCode.

template<typename STRING_TYPE>
ACE_INLINE char const * TAO::TypeCode::Base_Attributes< STRING_TYPE >::name | ( | void |  | ) | const

| Get the simple name identifying the type within its enclosing scope.

## Member Data Documentation

template<typename STRING_TYPE>
STRING_TYPE const TAO::TypeCode::Base_Attributes< STRING_TYPE >::id_`[private]`

| The `RepositoryId` globally identifying the type.

template<typename STRING_TYPE>
STRING_TYPE TAO::TypeCode::Base_Attributes< STRING_TYPE >::name_`[private]`

| The simple name identifying the type within its enclosing scope.

The documentation for this class was generated from the following files:

- TypeCode_Base_Attributes.h
- TypeCode_Base_Attributes.inl